<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Name: VZVZ Opleveren Contactmomenten
Description: Opleveren Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000">
   <title>VZVZ Opleveren Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /
Item: (opleverenContactmomenten)
-->

   <rule context="/" id="tmp-r-ea3bdc82-2351-4453-88fd-f491c66f974a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:PRPA_IN900350NL)&gt;=1 ">(opleverenContactmomenten): element hl7:PRPA_IN900350NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:PRPA_IN900350NL)&lt;=1">(opleverenContactmomenten): element hl7:PRPA_IN900350NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL"
         id="tmp-r-45fc5014-c906-4399-a85b-31f778027f06">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(opleverenContactmomenten): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(opleverenContactmomenten): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess"
         id="tmp-r-8224791d-dac5-42ed-bdc8-6fa51c829f72">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@moodCode)='EVN'">(opleverenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]"
         id="tmp-r-8fe87b72-9fa8-4ed1-93ca-fd7022b2ae7c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']])&gt;=1 and not(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/@nullFlavor)">(opleverenContactmomenten): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']])&lt;=1">(opleverenContactmomenten): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]"
         id="tmp-r-200fa452-fd12-4396-b2e6-a3485fb0594f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@classCode)='CLUSTER'">(opleverenContactmomenten): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@moodCode)='EVN'">(opleverenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']/@nullFlavor)">(opleverenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10'])&lt;=1">(opleverenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenContactmomenten): element hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenContactmomenten): element hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenContactmomenten): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenContactmomenten): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenContactmomenten): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenContactmomenten): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']"
         id="tmp-r-a690c84b-6645-49f1-97c4-3a488164246b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.10'">(opleverenContactmomenten): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.10' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:code[(@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-cb0fd8e7-10ec-4eac-acda-832a93832953">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="@nullFlavor or (@code='46240-8' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenContactmomenten): de elementwaarde MOET zijn code '46240-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:statusCode[@code='completed']
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:statusCode[@code='completed']"
         id="tmp-r-0ffeda45-8dae-4e3f-b332-59d4ce5c49f5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenContactmomenten): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget
Item: (CDArecordTargetBSNOnly)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget"
         id="tmp-r-ebdbd528-1a35-4cfa-bf0e-29aea9a0532f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTargetBSNOnly): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTargetBSNOnly): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTargetBSNOnly): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTargetBSNOnly): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTargetBSNOnly)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-a38d9c5b-a02d-4a78-80bd-034d86495308">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTargetBSNOnly): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTargetBSNOnly): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTargetBSNOnly): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (CDArecordTargetBSNOnly)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-423a042b-8ac7-44c4-a617-4d568f38d00d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetBSNOnly): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(CDArecordTargetBSNOnly): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:component[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']]]
Item: (opleverenContactmomenten)
-->
   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.10']]/hl7:component[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(opleverenContactmomenten): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-08-18T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(opleverenContactmomenten): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
