<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Name: VZVZ Opvragen Contactmomenten
Description: Opvragen Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000">
   <title>VZVZ Opvragen Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /
Item: (opvragenContactmomenten)
-->

   <rule context="/" id="tmp-r-a6bc756d-4324-4c0a-b486-36333044fdb8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&gt;=1 ">(opvragenContactmomenten): element hl7:PRPA_IN900300NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&lt;=1">(opvragenContactmomenten): element hl7:PRPA_IN900300NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL"
         id="tmp-r-0d958ade-8b09-47f7-89ac-bce344e4ffee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/@nullFlavor)">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]])&lt;=1">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine"
         id="tmp-r-f3f25b96-b6b5-43ae-9454-b3650300ae05">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-36f3adb6-04dc-4afe-963f-0027b80e494d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET zijn code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-3f189eb5-7121-4ea2-a190-a86a162389ec">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET zijn AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]"
         id="tmp-r-f736d6ff-fc50-4c7f-86f4-3e10aef4efa6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opvragenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenContactmomenten): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenContactmomenten): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&gt;=1 and not(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/@nullFlavor)">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&lt;=1">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer"
         id="tmp-r-e91e6895-9572-4dc9-8550-186a4973fb30">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-741c5b64-926f-4fc6-a69a-c201edfff4d5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-096fc582-63d7-4452-ada8-0e8917590702">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-bc512f85-15e1-4ebf-8e2b-f7d905d254fd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-7f541c0f-c625-48e3-b431-1fa9115434db">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-6947d462-116c-4978-b725-0d55590f30fd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-a26d3240-f5e2-4d2f-bd19-fe5bd6ea11ce">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-739c176d-175d-437c-b586-f6284bc67be8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-9c2c6ca4-8b09-4bc5-8e8b-4bc7ae4a4fa3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-c8deb9ee-3234-49d2-9b53-dbf48e23b6cb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-7350ddd8-d0e0-42b9-a659-1f1869f494bf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-9296461c-b2d5-4d84-acb0-9831938a14fc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]"
         id="tmp-r-2537d7f9-041d-4e84-b174-b9da71eda6bf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1 ">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenContactmomenten): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenContactmomenten): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenContactmomenten): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenContactmomenten): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:encounterTimeframe)&lt;=1">(opvragenContactmomenten): element hl7:encounterTimeframe komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenContactmomenten): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenContactmomenten): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:typeOfEncounter)&lt;=1">(opvragenContactmomenten): element hl7:typeOfEncounter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="tmp-r-a3d15bea-0ccd-4440-8458-51760e1085c5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.9'">(opvragenContactmomenten): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.9' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryId
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryId"
         id="tmp-r-aecdf3b4-b463-40d9-bab0-8bb3853d1a07">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:statusCode[@code='executing']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:statusCode[@code='executing']"
         id="tmp-r-23a78c22-f5d6-41ad-800f-9872d05bae33">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactmomenten): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:responseModalityCode[@code='R']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:responseModalityCode[@code='R']"
         id="tmp-r-4342f204-ccfb-4087-a334-89fc65c3dd69">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactmomenten): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:responsePriorityCode[@code='I']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-8de9985d-9a95-4018-a32e-e3d4bd4371bf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactmomenten): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:executionAndDeliveryTime
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:executionAndDeliveryTime"
         id="tmp-r-ccae9fd9-60b5-4106-980f-50dfedc32700">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe"
         id="tmp-r-b8c42f38-5e4d-4eb0-be92-cc9db99e56ed">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 ">(opvragenContactmomenten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenContactmomenten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value"
         id="tmp-r-2b132219-faf4-4011-94a8-67dd50be31fb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&gt;=1">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&lt;=2">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenContactmomenten): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenContactmomenten): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value/hl7:low
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value/hl7:low"
         id="tmp-r-a1a72b55-58c3-4491-888e-993f4bf5aac1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value/hl7:high
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:encounterTimeframe/hl7:value/hl7:high"
         id="tmp-r-1885a7f3-8082-48bc-a205-29516446a9ce">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:patientId
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:patientId"
         id="tmp-r-f86f355e-7569-4591-814f-3ae81bf389e1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opvragenContactmomenten): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opvragenContactmomenten): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-ae241851-613c-485b-90d3-1d2995b1361f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opvragenContactmomenten): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:typeOfEncounter
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:typeOfEncounter"
         id="tmp-r-801fa442-caab-4cb6-8ebc-e9c799dfa108">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-7ea25d48-c852-4362-b3a8-6c13739e4795">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(opvragenContactmomenten): de elementwaarde MOET zijn 2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(opvragenContactmomenten): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH).</assert>
   </rule>
</pattern>
